/* Floy Menu
**
** DCFloys
** (c)2001 Paul Boese a.k.a. Axlen
**
** A cheap little menu class
*/

#ifndef __FLOY_MENU_H__
#define __FLOY_MENU_H__

typedef struct Menuitem {
	int min;
	int max;
	int* pvalue;
	char* pformat;
	Menuitem* prev;
	Menuitem* next;
};

class FloyMenu {

	protected:

		static Menuitem* mlist;
	    static Menuitem* mtail;
	    static Menuitem* mcur;

	public:

	FloyMenu () {
		mlist = mtail = mcur = NULL;
	}

	void add(int min, int max, int* pval, char *pformat);
	
	void next();

	void prev();

	void inc();

	void dec();

	void draw(int x, int y, int yinc);
};

#endif /* __FLOY_MENU_H__ */

/* vi:tabstop=4
*/

