/* Floy.h 
**
** DCFloys
** (c)2001 Paul Boese a.k.a. Axlen
** Based on Floys Java Applet written by Ariel Dolan http:://www.aridolan.com/
**
*/

#ifndef __FLOY_H__
#define __FLOY_H__

class Floy;

class Floy {
	public:
		float x, y, z;
		float vx, vy, vz;
		float xtail, ytail, ztail;
		float a, b, c, rx, ry, rz;
		
		int maxnb;
		float margin;
		
		static int numnb;
		static float revdist;
		static float acc, attcen;
		static float maxv;
		static float bouncev;
		
		float v0;

		float width, depth, height;

		int fid, nf, type, energy;
		Floy** neighbors;

		Floy(int numf, int maxn, int id, float wid, float hgt, float dep);

		void params(int num_nb, float rev_dist,
					float accel, float att_cen,
					float max_v, float bounce_v);
		
		float dist(Floy* pnb);

		void GetNeighbors();

		void Process();

		void Draw();

		void Carp();
		
};

int Floy::numnb;
float Floy::revdist;
float Floy::acc;
float Floy::attcen;
float Floy::maxv;
float Floy::bouncev;

#endif /* __FLOY_H__ */

/* vi:tabstop=4
*/
