#include "kos.h"
#include "cpp.h"

// assorted stuff taken from dctonic and kos example sources

/* For C++ libs */
void * operator new(unsigned sz) {
        return malloc(sz);
}

void * operator new[](unsigned sz) {
        return ::operator new(sz);
}

void operator delete(void* ptr) {
        free(ptr);
}

extern "C" {

	void abort() { }

	/* optimal random number function. */
	static unsigned long seed=123;
	#define RNDC 1013904223
	#define RNDM 1164525

	int rand() {
        seed = seed * RNDM + RNDC;
        return seed;
	}

	int randnum(int limit) { return (rand() & 0x7fffffff) % limit; }

	int random() { return (rand() & 0x7fffffff); }

}

/* vi:tabstop=4
*/
